<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.Evaluation.Options Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html">Evaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html">Options</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Properties</a> &#124;
<a href="class_semantic_search_evaluation_1_1_evaluation_1_1_options-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.Evaluation.Options Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to define valid options, and to receive the parsed options.  
 <a href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a83e77498dab5e70533ec563862ed8437"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html#a83e77498dab5e70533ec563862ed8437">Action</a><code> [get, set]</code></td></tr>
<tr class="separator:a83e77498dab5e70533ec563862ed8437"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e4af3d6f51b8e0211380957c467769"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html#ac3e4af3d6f51b8e0211380957c467769">Test</a><code> [get, set]</code></td></tr>
<tr class="separator:ac3e4af3d6f51b8e0211380957c467769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a1251419130fda78f7dde37202fc2be"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html#a5a1251419130fda78f7dde37202fc2be">Path</a><code> [get, set]</code></td></tr>
<tr class="separator:a5a1251419130fda78f7dde37202fc2be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c74fcd2b41598497ad974d4a4dd770"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_evaluation_1_1_options.html#a56c74fcd2b41598497ad974d4a4dd770">Number</a><code> [get, set]</code></td></tr>
<tr class="separator:a56c74fcd2b41598497ad974d4a4dd770"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to define valid options, and to receive the parsed options. </p>
</div><h2 class="groupheader">Property Documentation</h2>
<a id="a83e77498dab5e70533ec563862ed8437"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83e77498dab5e70533ec563862ed8437">&#9670;&nbsp;</a></span>Action</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchEvaluation.Evaluation.Options.Action</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a56c74fcd2b41598497ad974d4a4dd770"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56c74fcd2b41598497ad974d4a4dd770">&#9670;&nbsp;</a></span>Number</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SemanticSearchEvaluation.Evaluation.Options.Number</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a1251419130fda78f7dde37202fc2be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a1251419130fda78f7dde37202fc2be">&#9670;&nbsp;</a></span>Path</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchEvaluation.Evaluation.Options.Path</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3e4af3d6f51b8e0211380957c467769"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e4af3d6f51b8e0211380957c467769">&#9670;&nbsp;</a></span>Test</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchEvaluation.Evaluation.Options.Test</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_evaluation_8cs.html">Evaluation.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
